Syrthes insatllation

This forum is dedicated to Syrthes related issues, as the Syrthes tool does not have its own forum.
Post Reply
misomg
Posts: 2
Joined: Sun Feb 17, 2013 1:31 pm

Syrthes insatllation

Post by misomg » Thu May 14, 2020 11:42 am

Hello,

I am trying to install Syrthes 4.3.5 on Ubuntu 20.04 as guest in VMware Player. It seems there is some problem with mpi, but I cannot find where.
Attached are setup file, and error log.

Would be great, if anyone could advice some solution.

Regards

Michal
Attachments
setup.ini
(4.24 KiB) Downloaded 9 times
ERREUR.log
(4.02 KiB) Downloaded 9 times

Yvan Fournier
Posts: 2930
Joined: Mon Feb 20, 2012 3:25 pm

Re: Syrthes insatllation

Post by Yvan Fournier » Thu May 14, 2020 6:35 pm

Hello,

Is MPI (and the associated headers) installed correctly on your system ? Note we recently added a list of packages needed for code_saturne on various distributions on various systems here : https://github.com/code-saturne/code_sa ... n-packages

Also, did you use the old Syrthes package from the EDF R&D website, or the updated one from this website (https://www.code-saturne.org/cms/download/prerequisites) ? it may not make a difference for MPI, but will for Python and the graphical user interface.

Best regards,

Yvan

misomg
Posts: 2
Joined: Sun Feb 17, 2013 1:31 pm

Re: Syrthes insatllation

Post by misomg » Fri May 15, 2020 1:52 pm

Hello,

thank you for support. I used updated package from Code Saturne prerequisites site.

Somewhere on this forum I found that one solution could be change compiler to

Code: Select all

compC   mpicc
compCX mpicxx
and my path to openmpi was wrong. The right one is

Code: Select all

/usr/bin
Now installation and test case finished fine

Regards

Michal

Post Reply